| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi::Details::Property::ReadUpdateHandler Struct Reference

`#include <GaudiKernel/Property.h>`

Inheritance diagram for Gaudi::Details::Property::ReadUpdateHandler:
[legend]
Collaboration diagram for Gaudi::Details::Property::ReadUpdateHandler:
[legend]

## Public Member Functions
std::function< void(PropertyBase &)> | getReadHandler () const
void | setReadHandler (std::function< void(PropertyBase &)> fun)
void | useReadHandler (const PropertyBase &p) const
std::function< void(PropertyBase &)> | getUpdateHandler () const
void | setUpdateHandler (std::function< void(PropertyBase &)> fun)
void | useUpdateHandler (PropertyBase &p)
Public Member Functions inherited from Gaudi::Details::Property::ReadHandler
void | useReadHandler (const PropertyBase &p) const
void | setReadHandler (std::function< void(PropertyBase &)> fun)
std::function< void(PropertyBase &)> | getReadHandler () const
Public Member Functions inherited from Gaudi::Details::Property::NoHandler
void | useReadHandler (const PropertyBase &) const
void | setReadHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getReadHandler () const
void | useUpdateHandler (const PropertyBase &) const
void | setUpdateHandler (std::function< void(PropertyBase &)>)
std::function< void(PropertyBase &)> | getUpdateHandler () const
Public Member Functions inherited from Gaudi::Details::Property::UpdateHandler
void | useUpdateHandler (PropertyBase &p)
void | setUpdateHandler (std::function< void(PropertyBase &)> fun)
std::function< void(PropertyBase &)> | getUpdateHandler () const

## Additional Inherited Members
Public Attributes inherited from Gaudi::Details::Property::ReadHandler
std::function< void(PropertyBase &)> | m_readCallBack
Public Attributes inherited from Gaudi::Details::Property::UpdateHandler
std::function< void(PropertyBase &)> | m_updateCallBack

## Detailed Description

Definition at line 329 of file Property.h.

## Member Function Documentation

## ◆ getReadHandler()

std::function<void( PropertyBase& )> Gaudi::Details::Property::ReadHandler::getReadHandler
| inline

Definition at line 313 of file Property.h.

313 { return m_readCallBack; }
Gaudi::Details::Property::ReadHandler::m_readCallBack
std::function< void(PropertyBase &)> m_readCallBack
Definition: Property.h:308

## ◆ getUpdateHandler()

std::function<void( PropertyBase& )> Gaudi::Details::Property::UpdateHandler::getUpdateHandler
| inline

Definition at line 327 of file Property.h.

327 { return m_updateCallBack; }
Gaudi::Details::Property::UpdateHandler::m_updateCallBack
std::function< void(PropertyBase &)> m_updateCallBack
Definition: Property.h:316

## ◆ setReadHandler()

void Gaudi::Details::Property::ReadHandler::setReadHandler
| inline

Definition at line 312 of file Property.h.

312 { m_readCallBack = std::move( fun ); }
Gaudi::Details::Property::ReadHandler::m_readCallBack
std::function< void(PropertyBase &)> m_readCallBack
Definition: Property.h:308
std::move
T move(T... args)

## ◆ setUpdateHandler()

void Gaudi::Details::Property::UpdateHandler::setUpdateHandler
| inline

Definition at line 326 of file Property.h.

326 { m_updateCallBack = std::move( fun ); }
Gaudi::Details::Property::UpdateHandler::m_updateCallBack
std::function< void(PropertyBase &)> m_updateCallBack
Definition: Property.h:316
std::move
T move(T... args)

## ◆ useReadHandler()

void Gaudi::Details::Property::ReadHandler::useReadHandler
| inline

Definition at line 309 of file Property.h.

309 {
310 if ( m_readCallBack ) { SwapCall{m_readCallBack}( const_cast<PropertyBase&>( p ) ); }
311 }
Gaudi::Details::Property::ReadHandler::m_readCallBack
std::function< void(PropertyBase &)> m_readCallBack
Definition: Property.h:308

## ◆ useUpdateHandler()

void Gaudi::Details::Property::UpdateHandler::useUpdateHandler
| inline

Definition at line 317 of file Property.h.

317 {
318 if ( m_updateCallBack ) {
319 try {
320 SwapCall{m_updateCallBack}( p );
321 } catch ( const std::exception& x ) {
322 throw std::invalid_argument( "failure in update handler of '" + p.name() + "': " + x.what() );
323 }
324 }
325 }
Gaudi::Details::Property::UpdateHandler::m_updateCallBack
std::function< void(PropertyBase &)> m_updateCallBack
Definition: Property.h:316
std::exception::what
T what(T... args)
std::exception
STL class.
std::invalid_argument
STL class.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Property.h